=== debian/changelog ===
oregano (0.83.2-0) unstable; urgency=high

  * Update upstream

 -- Bernhard Schuster <bernhard@ahoi.io>  Fri, 15 May 2015 00:35:44 +0200

oregano (0.70-2) unstable; urgency=medium

  * Replace libpng12-dev with libpng-dev. (Closes: #662459)
  * Update watch file.
  * New patch: clang_FTBFS_Wreturn-type.patch (Closes: #743871) Thanks
    to Nicolas Sévelin-Radiguet.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 25 Apr 2014 15:39:20 +0200

oregano (0.70-1.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Petter Reinholdtsen ]
  * New patch math-library.patch to make sure to link with -lm and
    fix build failure (Closes: #713450).

 -- gregor herrmann <gregoa@debian.org>  Sat, 13 Jul 2013 15:54:33 +0200

oregano (0.70-1) unstable; urgency=low

  * New upstream release.
  * New upstream, Marc Lorber
  * debian/patches/format-security.patch: fixes format-security errors
  * debian/patches/missing.potfiles.patch: add missing files to POTFILES.in
    and POTFILES.skip
  * debian/patches/remove.unneeded.docs.patch: avoid duplication of license
    and the installation of the INSTALL file

 -- Maximiliano Curia <maxy@debian.org>  Tue, 03 Jan 2012 20:00:53 -0300

oregano (0.69.1-3) unstable; urgency=low

  * Merge pending ubuntu patch.
  * debian/patches/line.drawing.patch: When moving a wire so that it joins
    with another delete the moved one, as well as extending the other.
  * Remove obsolete dependency of libgnomeprint (Closes: #644563)
  * Migrate to format 3.0 (quilt)
  * Update Standards-Version to 3.9.2.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Nov 2011 13:08:58 -0300

oregano (0.69.1-2) unstable; urgency=low

  * Disable omit-frame-pointer optimization to avoid segfault in amd64.
    Further analysis pending. (Closes: #590688)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 15 Aug 2010 16:50:23 -0300

oregano (0.69.1-1) unstable; urgency=low

  * New upstream release.
    - Migration to gtksourceview2.0 (Closes: #532939)
    - Fix png export (Closes: #528911)
    - Add black and white export support (Closes: #527448)
  * Update old patches.
    - Use shorter name as Name in desktop file (Closes: #509948)
  * Update Standards-Version, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jul 2009 19:27:35 -0300

oregano (0.69.0-2) unstable; urgency=low

  * Fixed dpkg-shlibs warnings.
    - Set LDFLAGS in rules file.
    - Added patch to make scons receive LDFLAGS
       (patches/scons.env.ldflags.dpatch)
  * Fixed invalid characters in power.oreglib
    - Added patch to fix the invalid characters.
       (patches/power.lib.mess.dpatch)
  * Moved Homepage pseudo field to real field.
  * Updated Standards-Version, no changes needed.

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Tue, 19 Feb 2008 21:01:27 -0200

oregano (0.69.0-1) unstable; urgency=low

  * New upstream release.
    - Added 1N4148.model (Closes: #432997)
  * Removed upstream.sync patch. (patches/upstream.sync.dpatch)
  * Removed headers.missing patch. (patches/headers.missing.dpatch)
  * Updated desktop.update patch. (patches/desktop.update.dpatch)

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Thu, 16 Aug 2007 23:22:15 -0300

oregano (0.60.0-2) unstable; urgency=low

  * Fixes FTBFS, by adding gnome-print-paper header in the print.c source file
    (patch headers-missing), thanks to Lucas Nussbaum and Luis Rodrigo
    Gallardo Cruz (Closes: #422397)

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Sat, 16 Jun 2007 13:09:53 -0300

oregano (0.60.0-1) unstable; urgency=low

  * New upstream release.
  * Fixes typo in the package description, thanks to Simon Waters for
    the report (Closes: #390245)
  * Updates desktop file, thanks to Jordi Mallach for the patch
    (Closes: #393952)

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Thu, 19 Oct 2006 12:01:03 -0300

oregano (0.50.1-2) unstable; urgency=low

  * Fixes problem with encodings, thanks to Viktor Bindewald for the report
    and testing. (Closes: #369602)
  * Fixes a possible crash when editing part properties (upstream fix).
  * Changes the installation path of the desktop file.
  * Honors the CFLAGS value.

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Fri, 25 Aug 2006 00:28:24 -0300

oregano (0.50.1-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Thu, 03 Aug 2006 19:35:28 -0300

oregano (0.40.5-2) unstable; urgency=low

  * Fixes translations of dialogs - thanks to Jordi Mallach <jordi@debian.org>.
  * Updates catalan translation - thanks to Jordi Mallach <jordi@debian.org>
    (Closes: #350293).
  * Updates french translation - thanks to Jean-Luc Coulon
    <jean-luc.coulon@wanadoo.fr> (Closes: #354596).
  
 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Fri, 14 Apr 2006 14:02:59 -0300

oregano (0.40.5-1) unstable; urgency=low

  * Updates russian translation - thanks to Yuri Kozlov <yuray@id.ru>
    (Closes: #326925).
  * Updates brazilian portuguese translation - thanks to 
    "Felipe Augusto van de Wiel (faw)" <felipe@cathedrallabs.org>
    (Closes: #348130).
  * New upstream release.

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Mon, 23 Jan 2006 19:42:49 -0300

oregano (0.40.4-2) unstable; urgency=low

  * Building now against libcairo2-dev (Closes: #321058).
  * Leaving names on oregano.1 without funny characters.

 -- David Moreno Garza <damog@debian.org>  Mon,  5 Sep 2005 20:20:53 -0500

oregano (0.40.4-1) unstable; urgency=low

  * New upstream release (Closes: #293094).
  * Adds --disable-update-mime to the configure parameters - thanks to Aaron
    M. Ucko <ucko@debian.org> (Closes: #313132).
  * Updates german translation - thanks to Jens Seidel
    <jensseidel@users.sf.net> (Closes: #313950).

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Tue, 21 Jun 2005 11:25:09 -0300

oregano (0.40.0-5) unstable; urgency=high

  * Fixes segfaults on ia64 - thanks to David Mosberger-Tang <davidm@mostang.com>
    (Closes: #310936).


